For the complete documentation index, see llms.txt. This page is also available as Markdown.

Apply Creator Code

See Creator Codes in our Creators documentation for an in-depth guide on Creator Codes. These are used to attribute purchases to influencers. These codes can optionally apply a customer discount when used.

Apply a creator code

post

Applies a creator code to a basket.

Path parameters
basketIdentstringRequired

The basket identifier.

Example: c00244-d2ac2e77418a55b25292a6bc7a719ad9c529ba2c
Body
creator_codestringOptionalExample: Academy10
Responses
200

Successful response returns a success object

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Creator code applied successfully
post/baskets/{basketIdent}/creator-codes
POST /api/accounts/baskets/{basketIdent}/creator-codes HTTP/1.1
Host: headless.tebex.io/
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "creator_code": "Academy10"
}
{
  "success": true,
  "message": "Creator code applied successfully"
}

Last updated